import javax.swing.JLabel;

/* $Id: Account.java 2269 2013-12-01 02:33:37Z terescoj $ */

/**
 * A simple bank account.  This one is safe for concurrent access by
 * adding the sychronized keyword as needed.
 * 
 * @author original unknown
 * Updated for Java Swing, Jim Teresco, The College of Saint Rose, Fall 2013
 */

public class Account {

    private int balance;
    private JLabel display;  // label on screen for balance

    public Account(int start, JLabel aDisplay) {
        
        balance = start;
        display = aDisplay;
        display.setText("" + balance);
    }

    synchronized public int getBalance() {
        return balance;
    }

    synchronized public void changeBalance(int amount) {
       balance = balance + amount;
       display.setText("" + balance);

       // alternate:
        //int newBalance = balance + amount;
        //display.setText("" + newBalance);
        //balance = newBalance;
    }
}